Channels

Create or update a channel profile draft

POST
/api/projects/{projectId}/channels/{channelId}/profile-drafts

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Request Body

  1. body
profile*
expectedRevision?integer
Range0 <= value

Response Body

Response for status 200

application/json
  1. response
profile*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/channels/string/profile-drafts' \
  -H 'Content-Type: application/json' \
  -d '{
  "profile": {}
}'
Example Response
{
  "profile": {
    "id": "string",
    "projectId": "string",
    "channelId": "string",
    "profileId": "string",
    "version": 1,
    "origin": "built_in",
    "state": "draft",
    "revision": 1,
    "profile": {},
    "createdByActorId": "string",
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?